token_info Struct Reference

## Data Fields

const char * | token
int | linenum
int | column
int | nonspc
struct token_info * | next

## Detailed Description

Definition at line 239 of file ripper.c.

## Field Documentation

int token_info::column

Definition at line 242 of file ripper.c.

Referenced by token_info_pop(), and token_info_push().

int token_info::linenum

Definition at line 241 of file ripper.c.

Referenced by token_info_pop(), and token_info_push().

struct token_info * token_info::next

Definition at line 244 of file ripper.c.

Referenced by token_info_pop(), and token_info_push().

int token_info::nonspc

Definition at line 243 of file ripper.c.

Referenced by token_info_pop(), and token_info_push().

const char * token_info::token

Definition at line 240 of file ripper.c.

Referenced by token_info_pop(), and token_info_push().

The documentation for this struct was generated from the following files:

- ext/ripper/ripper.c
- ext/ripper/ripper.y
- parse.c
- parse.y